{pkgs, lib, ... }:

{
  home.file."/home/nico/.config/zed/settings.json" = {
    source = ./settings.json;
  };
  catppuccin.zed.enable = false;
    programs.zed-editor = {
        enable = true;
    };
    #     ## This populates the userSettings "auto_install_extensions"
    #     extensions = ["nix" "Catppuccin"];
    #
    #     ## everything inside of these brackets are Zed options.
    #     userSettings = {
    #         assistant = {
    #             enabled = false;
    #         };
    #
    #         hour_format = "hour24";
    #         auto_update = false;
    #         lsp = {
    #             rust-analyzer = {
    #                 binary = {
    #                     path_lookup = true;
    #                 };
    #             };
    #             nix = { 
    #                 binary = { 
    #                     path_lookup = true; 
    #                 }; 
    #             };
    #         };
    #
    #
    #         languages = {
    #         };
    #
    #         vim_mode = true;
    #         ## tell zed to use direnv and direnv can use a flake.nix enviroment.
    #         load_direnv = "shell_hook";
    #         base_keymap = "VSCode";
    #         theme = {
    #             mode = "dark";
    #             light = "Catppuccin frappe";
    #             dark = "Catppuccin mocha";
    #         };
    #         show_whitespaces = "all" ;
    #         ui_font_size = 16;
    #         buffer_font_size = 16;
    #
    #     };
    #
    # };
}
